# Uses of Class
jdk.jfr.consumer.MetadataEvent

Packages that use MetadataEvent
Package
Description
jdk.jfr.consumer
This package contains classes for consuming Flight Recorder data.

## Uses of MetadataEvent in jdk.jfr.consumer

Method parameters in jdk.jfr.consumer with type arguments of type MetadataEvent
Modifier and Type
Method
Description
`default void`
EventStream.`onMetadata(Consumer<MetadataEvent> action)`
Registers an action to perform when new metadata arrives in the stream.
`void`
RecordingStream.`onMetadata(Consumer<MetadataEvent> action)`
Registers an action to perform when new metadata arrives in the stream.